Bug 615421 - License Agreement acceptance not required if text mode install is done. Possible legal prob.
License Agreement acceptance not required if text mode install is done. Poss...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firstboot (Show other bugs)
6.0
All Linux
high Severity high
: beta
: ---
Assigned To: Martin Gracik
Release Test Team
:
Depends On:
Blocks: 647893 705163
  Show dependency treegraph
 
Reported: 2010-07-16 13:33 EDT by Justin Clift
Modified: 2015-07-13 00:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 822666 (view as bug list)
Environment:
Last Closed: 2011-05-31 16:54:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 RHEL Product and Program Management 2010-07-16 13:57:39 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 10 David Cantrell 2010-07-19 17:49:12 EDT
(Adding notting and clumens to CC list for any additional technical input.)

There are a couple of concerns I have regarding this bug and what it is or isn't asking for.

(1) Is the request to display the EULA in firstboot from a text mode install or is it requesting that anaconda display the EULA?  We do display the EULA in firstboot in graphical mode, but firstboot in text mode does not really exist for RHEL 6.0.  We discussed this many weeks ago and determined that it was ok to lack firstboot for these installs...firstboot would only be a tool shown to users installing X and related software.  The primary reasons for this were that (a) firstboot in text mode is not really implemented or hasn't been worked on in a while and (b) adding it in to text mode installs would affect the Minimal install, which we did not want to modify.

(2) EULA display in firstboot does not really make sense to me in the first place.  We currently do that in firstboot, but the EULA display happening then means it happens after you install.  If we want users to agree to the EULA before installation, it cannot happen in firstboot.  It would have to happen in anaconda or something before anaconda.

(3) Are we sure that we need to display the EULA during installation in a click-through fashion?  Fedora was able to get out of the business of making users agree and just have you click Next on the basis of you understanding those are the terms.

Getting back to the technical implementation possibilities:

(1) If we need to add this in a text mode firstboot, that means we need to hurry up and create text-mode firstboot for RHEL 6.0.  That's going to cost a lot of time and run the risk of affecting many other things.

(2) If we need to add a new EULA acceptance screen to anaconda, we will have the following problems:

    (a) Adding a new interactive screen for both GUI and text mode.
    (b) Adding to the QA tests for installation.
    (c) How would kickstart installs be affected?

(3) Adding the EULA screen to either firstboot or anaconda would introduce the following problems:

    (a) Synchronization with legal for the up-to-date EULA text.
    (b) Translation to all supported languages.

And we still have not really prevented the user from getting the software if they do not agree to the terms of the EULA.  I think EULA acceptance should be done at the time of download or at the time of unboxing their shrink-wrapped media kit.  In that case, I recommend RHN be responsible for the EULA acceptance screen.  It's WAY easier to update and modify the EULA terms if RHN owns this.  Once we cut the release, we can't change the EULA text on the media.  Having RHN own it means that users would have to agree to the terms before even downloading the ISO.

Note You need to log in before you can comment on or make changes to this bug.